Announcement Announcement Module
Collapse
No announcement yet.
Using Ivy within Eclipse for Spring 2.1-M3 Page Title Module
Move Remove Collapse
This topic is closed
X
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Using Ivy within Eclipse for Spring 2.1-M3

    Hello,

    I'm trying to use the Ivy dependency manager in Eclipse (using the IvyDE 1.2.0 plugin, which comes with Ivy 1.4.1) to include Spring 2.1-m3 in the project classpath.
    I've seen in another post that the milestones are available on the S3Browse.com maven repository (http://s3browse.com/explore/maven.springframework.org/), but i cannot manage to download (some of) the optional dependencies

    Here are my config files :

    ivy.xml:

    HTML Code:
    <?xml version="1.0" encoding="ISO-8859-1"?>
    <ivy-module version="1.0">
        <info 
            organisation="test"
            module="core"
            status="integration">
    	</info>
    	<dependencies>
    	    <dependency org="org.springframework" name="spring-core" rev="2.1-m3"/>
      </dependencies>  
    </ivy-module>
    and ivy-settings.xml:

    HTML Code:
    <ivysettings>
     <conf defaultResolver="main" checkUpToDate="false">
      <resolvers>
        <chain name="main">
    	<url name="s3" m2compatible="true" checksums="">
    	<artifact pattern="http://s3browse.com/explore/maven.springframework.org/milestone/[module]/[revision]/[artifact]-[revision].[ext]" />
    	</url>
    	<ibiblio name="ibiblio" m2compatible="true" />
          </chain>
      </resolvers>
     </conf>
    </ivysettings>
    Ivy manages to download the spring-core-2.1-m3.jar (i needed to disable the checksums validation, since the .sha1 and .md5 files are empty), but none of the optional dependencies get downloaded. How can I ask Ivy to download them ?

    Thank you in advance
    Xavier
Working...
X